Skip to main content
GET
List Payments by Time Range
Query payment flows by time range and filters. Supports pagination with cursor-based navigation. Merchants can filter payments by creation time.

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Query Parameters

created_at.gt
string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.gte
string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lt
string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lte
string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

limit
integer<int32>

A limit on the number of objects to be returned. Limit can range between 1 and 100. Default: 50 if not specified.

starting_after
string

Pagination: starting_after ID for forward pagination. Use an id from the previous response as starting_after to fetch the next page. Mutually exclusive with ending_before.

ending_before
string

Pagination: ending_before ID for backward pagination. Use an id from the previous response as ending_before to fetch the previous page. Mutually exclusive with starting_after.

Response

OK

ListPaymentResponse

code
string

error code

message
string

error message

data
object

ListPaymentResponse